Package org.opentcs.data.order

# Interface TransportOrderHistoryCodes

    public interface TransportOrderHistoryCodes

Defines constants for basic history event codes related to transport orders and documents how the respective supplementary information is to be interpreted.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `ORDER_ASSIGNED_TO_VEHICLE` | An event code indicating a transport order was assigned to a vehicle.
  `static java.lang.String` | `ORDER_CREATED` | An event code indicating a transport order has been created.
  `static java.lang.String` | `ORDER_DISPATCHING_DEFERRED` | An event code indicating dispatching of a transport order to a vehicle has been deferred.
  `static java.lang.String` | `ORDER_DISPATCHING_RESUMED` | An event code indicating dispatching of a transport order to a vehicle has been resumed.
  `static java.lang.String` | `ORDER_DRIVE_ORDER_FINISHED` | An event code indicating one of a transport order's drive orders has been finished.
  `static java.lang.String` | `ORDER_PROCESSING_VEHICLE_CHANGED` | An event code indicating a transport order's processing vehicle changed.
  `static java.lang.String` | `ORDER_REACHED_FINAL_STATE` | An event code indicating a transport order was marked as being in a final state.
  `static java.lang.String` | `ORDER_RESERVED_FOR_VEHICLE` | An event code indicating a transport order was reserved for a vehicle.

- ## Field Details

  - ### ORDER_CREATED

    static final java.lang.String ORDER_CREATED
    An event code indicating a transport order has been created.

    The history entry's supplement is empty.

    See Also:
      Constant Field Values

  - ### ORDER_DISPATCHING_DEFERRED

    static final java.lang.String ORDER_DISPATCHING_DEFERRED
    An event code indicating dispatching of a transport order to a vehicle has been deferred.

    The history entry's supplement contains a list of reasons for the deferral.

    See Also:
      Constant Field Values

  - ### ORDER_DISPATCHING_RESUMED

    static final java.lang.String ORDER_DISPATCHING_RESUMED
    An event code indicating dispatching of a transport order to a vehicle has been resumed.

    The history entry's supplement is empty.

    See Also:
      Constant Field Values

  - ### ORDER_ASSIGNED_TO_VEHICLE

    static final java.lang.String ORDER_ASSIGNED_TO_VEHICLE
    An event code indicating a transport order was assigned to a vehicle.

    The history entry's supplement contains the name of the vehicle the transport order was assigned to.

    See Also:
      Constant Field Values

  - ### ORDER_RESERVED_FOR_VEHICLE

    static final java.lang.String ORDER_RESERVED_FOR_VEHICLE
    An event code indicating a transport order was reserved for a vehicle.

    The history entry's supplement contains the name of the vehicle the transport order was reserved for.

    See Also:
      Constant Field Values

  - ### ORDER_PROCESSING_VEHICLE_CHANGED

    static final java.lang.String ORDER_PROCESSING_VEHICLE_CHANGED
    An event code indicating a transport order's processing vehicle changed.

    The history entry's supplement contains the name of the new processing vehicle, or the empty string, if the processing vehicle was unset.

    See Also:
      Constant Field Values

  - ### ORDER_REACHED_FINAL_STATE

    static final java.lang.String ORDER_REACHED_FINAL_STATE
    An event code indicating a transport order was marked as being in a final state.

    The history entry's supplement is empty.

    See Also:
      Constant Field Values

  - ### ORDER_DRIVE_ORDER_FINISHED

    static final java.lang.String ORDER_DRIVE_ORDER_FINISHED
    An event code indicating one of a transport order's drive orders has been finished.

    The history entry's supplement is empty.

    See Also:
      Constant Field Values